Loading...
Searching...
No Matches
libthread.h File Reference

Go to the source code of this file.

## Namespaces

namespace | LibThread

## Functions

ThreadPool * | LibThread::createThreadPool (int threads, int prioThreads=0)
void | LibThread::closeThreadPool (ThreadPool *pool, bool wait)
ThreadPool * | LibThread::getCurrentThreadPool ()
Job * | LibThread::createJob (void(*func)(leftv result, leftv arg))
Job * | LibThread::createJob (void(*func)(long ndeps, Job **deps))
Job * | LibThread::getCurrentJob ()
bool | LibThread::getJobCancelled ()
bool | LibThread::getJobCancelled (Job *job)
void | LibThread::addJobArgs (Job *job, leftv arg)
void | LibThread::setJobData (Job *job, void *data)
void * | LibThread::getJobData (Job *job)
leftv | LibThread::getJobResult (Job *job)
const char * | LibThread::getJobName ()
void | LibThread::setJobName (const char *)
Job * | LibThread::startJob (ThreadPool *pool, Job *job, leftv arg)
Job * | LibThread::startJob (ThreadPool *pool, Job *job)
void | LibThread::cancelJob (Job *job)
void | LibThread::waitJob (Job *job)
void | LibThread::release (Job *job)
void | LibThread::release (ThreadPool *pool)
void | LibThread::retain (Job *job)
void | LibThread::retain (ThreadPool *pool)